List all team members
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/team-members \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/team-members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/team-members"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"team_members": [
{
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"profile_image_url": "<string>",
"organization_role": "<string>",
"active": true
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Team members
List team members
List all team members.
GET
/
team-members
List all team members
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/team-members \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/team-members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/team-members"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"team_members": [
{
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"profile_image_url": "<string>",
"organization_role": "<string>",
"active": true
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
Available options:
application/json Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted.
Response
200 - application/json
OK - Request succeeded